Bug 164434 - autofs doesn't support new LDAP automount schema
autofs doesn't support new LDAP automount schema
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
: FutureFeature
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-07-27 17:18 EDT by Jeffrey Moyer
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2005-657
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 12:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Moyer 2005-07-27 17:18:47 EDT
+++ This bug was initially created as a clone of Bug #142998 +++

Description of problem:
A new draft of the LDAP automount schema is in the works, and has already been
adopted by Sun (in Solaris 9 & 10), presumably among others. One reason the new
schema should be supported is that is imposes case-sensitivity on the key name.

Version-Release number of selected component (if applicable):
autofs-4.1.3-12

How reproducible:
Always

Steps to Reproduce:
1. Set up an LDAP-based automount using the new schema
2. put ldap first on automount line in nsswitch.conf
3. start autofs service
  
Actual results:
maps from new schema are not mounted

Expected results:
all maps mounted

Additional info:
It currently looks for the key in the cn attribute if using the automount
schema; it should be looking for the key in the automountKey attribute.

The man page automount(8) points to
  http://docs.sun.com/source/806-4251-10/mapping.htm
for documentation on the schema.  This is outdated.  There is also a
samples/autofs.schema file in the source RPM for automount that uses the
outdated schema:
objectclass ( 1.3.6.1.1.1.1.13 NAME 'automount' SUP top STRUCTURAL
       DESC 'An entry in an automounter map'
       MUST ( cn $ automountInformation $ objectclass )
       MAY ( description ) )

The current schema can be found at
  http://docs.sun.com/db/doc/816-4556/6maort2vf?q=automountKey&a=view
and you can see the MUST attributes uses automountKey now:
( nisSchema.2.17 NAME 'automount' SUP top STRUCTURAL
 DESC 'Automount information'
 MUST ( automountKey $ automountInformation )
 MAY description )
Comment 1 Jeffrey Moyer 2005-07-27 17:20:36 EDT
A fix for this was built (at the very latest) into autofs-4.1.3-151.
Comment 4 Kim Sandberg 2005-07-29 08:01:15 EDT
Is this autofs package available for testing?
Comment 5 Jeffrey Moyer 2005-08-01 13:27:37 EDT
The patch was committed in 4.1.3-141.  Package version 4.1.3-149 is available
for testing from here:

  http://people.redhat.com/~jmoyer/autofs/rhel4/4.1.3-149/

Testing feedback would be greatly appreciated.
Comment 9 Red Hat Bugzilla 2005-10-05 12:59:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-657.html

Note You need to log in before you can comment on or make changes to this bug.